%define aurox_ver 10.1
%define rel 2

#%define kversion 2.6.7
#%define krelver 10.0.aur.6

Summary: Intel PRO/Wireless 2100 Driver for Linux
Name: ipw2100
Version: 1.3
Release: %{aurox_ver}.aur.%{rel}
License: distributable
Group: System Environment/Kernel
URL: http://ipw2100.sourceforge.net
Source: http://bughost.org/firmware/%{name}-fw-%{version}.tgz
Requires: hotplug >= 3:2004_04_01-5
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArch: noarch
BuildRequires: unzip

%description
This project was created by Intel to enable support for the Intel PRO/Wireless
2100 Network Connection mini PCI adapter. This project (IPW2100) is intended to
be a community effort as much as is possible given some working constraints
(mainly, no HW documentation is available).

%package firmware
Summary: Intel PRO/Wireless 2100 firmware
Group: System Environment/Kernel
URL: http://ipw2100.sourceforge.net/firmware.php

%description firmware
This package contains the firmware needed to run the the Intel PRO/Wireless
2100 Network Connection mini PCI adapter. The firmware is subject to terms
found in /lib/firmware/LICENSE.ipw2100.

%prep
%setup -q -c

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/lib/firmware
install -p *.fw %{buildroot}/lib/firmware/
install -p LICENSE %{buildroot}/lib/firmware/LICENSE.ipw2100

%clean
rm -rf %{buildroot}

%files firmware
%defattr(-,root,root)
/lib/firmware/*.fw
/lib/firmware/LICENSE.ipw2100

%changelog
* Wed Nov 10 2004 Aurox Team <aurox@aurox.org> 0:1.3-10.1.aur.2
- LICENSE should be placed in /lib/firmware according to Intel.
- Upgrade to v1.3, move to /lib/firmware.
- Upgrade to 1.2 firmware (needed for driver v0.50 and higher / kernel-2.6.7-10.0.aur.9)

* Tue Jul 13 2004 Aurox Team <aurox@aurox.org>
- Initial release.

